@echo off
mkdir __temp\META-INF
if exist visualizer.jar del visualizer.jar
call javac -d __temp Visualizer.java
echo Main-Class: Visualizer > __temp\META-INF\MANIFEST.MF
call jar -cvfm visualizer.jar __temp/META-INF/MANIFEST.MF -C __temp .
rmdir /s /q __temp
